<div fxLayout="column">
  <div class="userCenter" fxLayout="row" fxLayoutAlign="center center" fxFlex>

    <div fxLayout="column" fxFlex="40">

      <div *ngIf="user">
        <raamCard [class]="addDynamicStyle()" title="Clone New Repository" [fxLayout]="'end end'">
          <raamInput fxFlex title="Git-Url"
                     [value]="gitURL" (valueChange)="gitURL = $event"></raamInput>
          <div fxFlex="2"></div>
          <button fxFlex="10" class="btn btn-outline-primary" (click)="gitClone()">Clone</button>
        </raamCard>
      </div>

      <raamCard *ngIf="!user" title="Login" [fxLayout]="'center center'">
        <div fxLayout="column" fxFlex="90">
          <raamInput fxFlex="grow" title="Username" [value]="loginData.username"
                     (valueChange)="loginData.username = $event"></raamInput>
          <raamInput fxFlex="grow" title="Password"
                     [value]="loginData.password" [type]="'password'"
                     (valueChange)="loginData.password = $event"></raamInput>
          <div fxLayout="row" fxFlexOffset="2" fxLayoutAlign="end center">
            <button class="btn btn-outline-primary" (click)="login()">Login</button>
            <button class="btn btn-outline-primary" (click)="register()" fxFlexOffset="1">Register</button>
          </div>
        </div>
      </raamCard>
    </div>

  </div>

  <div *ngIf="user" fxLayout="row">
    <repoCrad *ngFor="let entry of combinedList" fxFlexOffset="0.5"
              [repo]="entry.repo" [name]="entry.name" (noDbEntryCallback)="postClonedRepo(entry)"></repoCrad>
  </div>

  <div *ngIf="user" fxLayout="column" fxFlex="grow">
    <raamCard *ngIf="repoNameList?.length === 0 && repoList?.length === 0" title="" [fxLayout]="'center center'">
      No Repository cloned yet!
    </raamCard>
    <raamCard *ngIf="!repoNameList" title="" [fxLayout]="'center center'">
      Unable to reach DB-Service !
    </raamCard>
    <raamCard *ngIf="!repoList" title="" [fxLayout]="'center center'">
      Unable to reach Git-Service !
    </raamCard>
  </div>
</div>

<credentialsModal #credentialModal (finished)="cloneSuccessful($event)"></credentialsModal>
